MPD: CancellablePointer< T > Class Template Reference

MPD 0.20.15

Public Types | Public Member Functions
CancellablePointer< T > Class Template Reference

`#include <Cancellable.hxx>`

Inheritance diagram for CancellablePointer< T >:
[legend]
Collaboration diagram for CancellablePointer< T >:
[legend]

## Public Types
typedef T * | pointer_type
typedef T & | reference_type
typedef const T & | const_reference_type

## Public Member Functions
| CancellablePointer (reference_type _p)
| CancellablePointer (const CancellablePointer &)=delete
constexpr bool | IsCancelled () const
void | Cancel ()
reference_type | Get ()
constexpr bool | Is (const_reference_type other) const

## Detailed Description

### template<typename T>
class CancellablePointer< T >

Definition at line 32 of file Cancellable.hxx.

## Member Typedef Documentation

## ◆ const_reference_type

template<typename T>

typedef const T& CancellablePointer< T >::const_reference_type

Definition at line 37 of file Cancellable.hxx.

## ◆ pointer_type

template<typename T>

typedef T* CancellablePointer< T >::pointer_type

Definition at line 35 of file Cancellable.hxx.

## ◆ reference_type

template<typename T>

typedef T& CancellablePointer< T >::reference_type

Definition at line 36 of file Cancellable.hxx.

## Constructor & Destructor Documentation

## ◆ CancellablePointer() [1/2]

template<typename T>

CancellablePointer< T >::CancellablePointer | ( | reference_type | _p | ) |
| inlineexplicit

Definition at line 43 of file Cancellable.hxx.

## ◆ CancellablePointer() [2/2]

template<typename T>

CancellablePointer< T >::CancellablePointer | ( | const CancellablePointer< T > & |  | ) |
| delete

## Member Function Documentation

## ◆ Cancel()

template<typename T>

void CancellablePointer< T >::Cancel | ( |  | ) |
| inline

Definition at line 51 of file Cancellable.hxx.

## ◆ Get()

template<typename T>

reference_type CancellablePointer< T >::Get | ( |  | ) |
| inline

Definition at line 57 of file Cancellable.hxx.

## ◆ Is()

template<typename T>

constexpr bool CancellablePointer< T >::Is | ( | const_reference_type | other | ) | const
| inline

Definition at line 63 of file Cancellable.hxx.

## ◆ IsCancelled()

template<typename T>

constexpr bool CancellablePointer< T >::IsCancelled | ( |  | ) | const
| inline

Definition at line 47 of file Cancellable.hxx.

The documentation for this class was generated from the following file:

- lib/nfs/Cancellable.hxx